Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#15 setSizeandOffset group size calculation incorrect after first pass

Release 4.4
closed
None
2014-05-13
2014-05-09
RHarris
No

for child in aDDE.children loop has aDDE.size+= child.totalSize
However, aDDE.size retains the size calculation from the previous pass causing the aDDE.size to be double what it should be.

adding
if aDDE.children:
aDDE.size= 0

seems to be one way to address this.

Related

Tickets: #15

Discussion

  • Steven F. Lott
    Steven F. Lott
    2014-05-10

    Aha! That's a big gap in the unit test, too! Sweet!

    Sent from my iPhone

    On May 9, 2014, at 3:04 PM, "RHarris" rlh6f@users.sf.net wrote:

    [tickets:#15] setSizeandOffset group size calculation incorrect after first pass

    Status: open
    Milestone: Release 4.4
    Created: Fri May 09, 2014 07:04 PM UTC by RHarris
    Last Updated: Fri May 09, 2014 07:04 PM UTC
    Owner: nobody

    for child in aDDE.children loop has aDDE.size+= child.totalSize
    However, aDDE.size retains the size calculation from the previous pass causing the aDDE.size to be double what it should be.

    adding
    if aDDE.children:
    aDDE.size= 0

    seems to be one way to address this.

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/stingrayreader/tickets/15/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Tickets: #15

    Attachments
  • Steven F. Lott
    Steven F. Lott
    2014-05-10

    • status: open --> pending
    • assigned_to: Steven F. Lott
     
  • Steven F. Lott
    Steven F. Lott
    2014-05-13

    • status: pending --> closed